Description

Hello

Could you please apply this tiny patch?

Currently, when running issues_controller tests, returned issue-watchers are not always sorted by id, which may break the tests.

line 5245 in class IssuesControllerTest

-    assert_equal [3, 10], issue.watcher_user_ids

+    assert_equal [3, 10], issue.watcher_user_ids.sort

 Thank you for your work

Vincent

Related issues:

Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

Associated revisions

Revision 19562 - 2020-03-05 13:48 - Go MAEDA

Fix that IssuesControllerTest occasionally fails (#33100, #4511).

Patch by Vincent Robert.

History

#1 - 2020-03-05 13:40 - Go MAEDA

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#2 - 2020-03-05 13:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix as a part of #4511. Thank you for detecting and fixing the issue.

Files

test_fix.diff 555 Bytes 2020-03-05 Vincent Robert
